# Interface methods for submodule: BinaryImageToLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy, ScanlineFilterCommonProxy as _ScanlineFilterCommonProxy


# Interface methods for class: BinaryImageToLabelMapFilter
class BinaryImageToLabelMapFilterProxy(_ImageToImageFilterProxy, _ScanlineFilterCommonProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFullyConnected(self, _arg: bool) -> None:
		""""""
		...

	def GetFullyConnected(self) -> bool:
		""""""
		...

	def FullyConnectedOn(self) -> None:
		""""""
		...

	def FullyConnectedOff(self) -> None:
		""""""
		...

	def GetNumberOfObjects(self) -> int:
		""""""
		...

	def SetOutputBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetOutputBackgroundValue(self) -> int:
		""""""
		...

	def SetInputForegroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetInputForegroundValue(self) -> int:
		""""""
		...

